Subject: Re: Early driver development resources

From: Frank Bennett <[email-masked]>
Date: Mon, 21 Jan 2008 12:25:14 -0700

Benedict, Michael wrote:
> Hello,
> 	I wrote a driver for a 4 segment digital display device.  I have
> a requirement that this device be used as early as possible to report
> kernel bootup state.  The driver itself is pretty simple, just using
> in/out_be32() and udelay().  The problem is that I don't know how to use
> hardware resources in the early stages of booting, before I can call
> request_mem_region() and friends.
> 	Can anyone recommend a book / documentation / reference code /
> anything that demonstrates this, or at least could improve my
> understanding enough to accomplish this?
>   
u-boot for embedded (or OpenBios) documentation, source code. 
Look for splash screen code although you will want to make
multiple calls for various boot states.   In the ISA days and now
PCI there are cards that display a two hex-digit POST progress
code which is a single x86, 8bit output instruction to port 0x80.
This may still be supported in closed source BIOS distributions.
Not sure what they do now with PCIe since it will take more than
a single, simple processor instruction.

-Frank Bennett
> 	Many thanks,
> 		Michael
>
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>   

-- 

*/Frank Bennett
President/*

Mathegraphics,LLC
613 Bentley Pl
Fort Collins,CO 80526
970-229-9269 (hm) 970-402-9269 (cell)
www.mathegraphics.com <http://www.mathegraphics.com>
[email-masked] <mailto:[email-masked]>

"I think there's a world market for about five computers."  
-- attr. Thomas J. Watson (Chairman of the Board, IBM), 1943